<!DOCTYPE html>
<html lang="en">

<head th:replace="fragments/layout.html :: head('Spotiplon - Artist '+${artist.name})">
</head>

<body>
    <div class="container-fluid">
        <div class="card mb-3">
            <div class="row g-0">
                <div class="col-md-4">
                    <img th:src="${artist.picture}" class="img-fluid rounded-start" th:alt="${artist.name}">
                </div>
                <div class="col-md-8">
                    <div class="card-body">
                        <h1 class="card-title" th:text="${artist.name}">Card title</h1>

                        <p class="card-text"><small class="text-muted">Since : <span
                                    th:text="${artist.started}"></span></small></p>
                        <p class="card-text"><small class="text-muted">Style : <span
                                    th:text="${artist.style}"></span></small></p>
                    </div>
                </div>
            </div>
        </div>
        <h2>Albums by <span th:text="${artist.name}"></span></h2>
        <div class="row">
            <div class="col-3" th:each=" album : ${artist.albums}">
                <div class="card m-3">

                    <img th:src="${album.cover}" class="card-img-top" th:alt="${album.name}">
                    <div class="card-body">
                        <h3 class="card-title" th:text="${album.name}"></h3>
                        <p class="card-text"><small class="text-muted">Released : <span
                                    th:text="${album.released}"></span></small></p>
                        <p class="card-text"><small class="text-muted">Songs count : <span
                                    th:text="${album.songs.size}"></span></small></p>
                        <a th:href="@{/album/}+${album.id}" class="btn btn-primary">Go to album</a>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div th:replace="fragments/layout.html :: foot"></div>
</body>

</html>
